/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.ProdPrecio;
import java.text.DecimalFormat;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Administrador
 */
public class RenderProdPrecio implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        ProdPrecio prodPrecio = (ProdPrecio) o;
        DecimalFormat df = new DecimalFormat("###,###,##0.00",new java.text.DecimalFormatSymbols(java.util.Locale.US));

        Listcell lc = null;
        if (prodPrecio.getImporteinicial() != null){
            lc = new Listcell(df.format(prodPrecio.getImporteinicial()));
        }else{
            lc = new Listcell("");
        }
        lc.setParent(lstm);
        if (prodPrecio.getImportefinal() != null){
            lc = new Listcell(df.format(prodPrecio.getImportefinal()));
        }else{
            lc = new Listcell("");
        }
        lc.setParent(lstm);

     

        lstm.setAttribute("data", prodPrecio);
    }
}
